Returns the point on the curve that is a specified arc length from the start of the curve.
Rhino.CurveArcLengthPoint (strObject, dblLength [, blnFromStart])
strObject |
Required. String. The object's identifier. |
dblLength |
Required. Number. The arc length from the start of the curve to evaluate. |
blnFromStart |
Optional. Boolean. If not specified or True, then the arc length point is calculated from the start of the curve. If False, the arc length point is calculated from the end of the curve. |
Array |
The 3-D point if successful. |
Null |
If not successful, or on error. |
Dim strObject, dblLength
strObject = Rhino.GetObject("Select a curve")
If Rhino.IsCurve(strObject) Then
dblLength = Rhino.CurveLength(strObject)
arrPoint = Rhino.CurveArcLengthPoint(strObject, dblLength/3)
Rhino.AddPoint arrPoint
End If